#! /bin/sh

MachineHwVersion=`cat /proc/sys/kernel/syno_hw_version | cut -d '-' -f1`
ForceUpdate=false

parse_opts()
{
	while getopts "g" opt; do
		echo "opt: $opt"
		case $opt in
		g)
			ForceUpdate=true
			;;
		*)
			logger -p user.err "unknown option $opt"
			exit
			;;
		esac
	done
}

parse_opts $@
shift $(($OPTIND - 1))

if [ $MachineHwVersion = DS218play ]; then
	if [ -f uboot_$MachineHwVersion.bin ]; then
		PUbootVer=`grep -a syno_fw_version uboot_$MachineHwVersion.bin | grep -ao "M.[0-9][0-9][0-9]" \
			| cut -c 4-`
		if [ -z $PUbootVer ]; then
			logger -p user.err "Uboot version on patch not found"
			exit 1
		fi
	else
		logger -p user.err "can't find uboot update image on patch"
		exit 1
	fi

	MUbootVer=`cat /proc/cmdline | grep -ao "M.[0-9][0-9][0-9]" \
		| cut -c 4-`

	if [ -z $MUbootVer ]; then
		logger -p user.err "current uboot version not found"
		exit 1
	fi

	logger -p user.err "patch uboot version=$PUbootVer and current uboot version=$MUbootVer"
	if [ $PUbootVer -gt $MUbootVer -o "$ForceUpdate" = true ]; then
		if [ "$ForceUpdate" = true ]; then
			logger -p user.err "force update"
		fi
		cp uboot_$MachineHwVersion.bin RedBoot.msys
		logger -p user.err "need to update"
		exit 0
	else
		logger -p user.err "need not to update"
		exit 1
	fi
fi

